View Issue Details

IDProjectCategoryView StatusLast Update
0015576ScribusGeneralpublic2019-06-04 20:55
ReporterLachenmeier Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015576: scripter's setProperty() works only with two possible values of 'startArrowIndex' and 'endArrowIndex'
DescriptionsetProperty(Object,'startArrowIndex',iIndex)
setProperty(Object,'endArrowIndex',iIndex)
iIndex knows only 2 states '0' and 'any other entry' witch is interpretet as '1'
There are over 30 Indexnumbers possible eg. 28- scissorsL
Steps To Reproducejust use in a script:
    ObjLine=scribus.createLine(10,10,100,100)
        scribus.setProperty(ObjLine,'startArrowIndex',28)
        scribus.messageBox('startArrowIndex',str(scribus.getProperty(ObjLine,'startArrowIndex'))) ->displays '1' instead of '28'

TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-02-13 09:31 Lachenmeier New Issue
2019-02-14 02:49 jghali Summary setProperty(Object_Line,'startArrowIndex',iIndex) knows only 2 states '0' and 'any other entry' witch is interpretet as '1' => setProperty(Object_Line,'startArrowIndex',iIndex) knows only 2 states: '0' and '1'
2019-02-14 02:53 jghali Summary setProperty(Object_Line,'startArrowIndex',iIndex) knows only 2 states: '0' and '1' => scripter's setProperty() works only with two possible values of 'startArrowIndex' and 'endArrowIndex'
2019-02-14 02:56 jghali Assigned To => jghali
2019-02-14 02:56 jghali Status new => resolved
2019-02-14 02:56 jghali Resolution open => fixed
2019-02-14 02:56 jghali Fixed in Version => 1.5.5.svn
2019-06-04 20:55 cbradney Status resolved => closed